cURL
curl --request POST \
--url https://api.sandbox.capa.fi/api/partner/v2/users/{userId}/documents/sign \
--header 'Content-Type: application/json' \
--header 'partner-api-key: <api-key>' \
--data '
{
"country": "MX"
}
'import requests
url = "https://api.sandbox.capa.fi/api/partner/v2/users/{userId}/documents/sign"
payload = { "country": "MX" }
headers = {
"partner-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'partner-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: 'MX'})
};
fetch('https://api.sandbox.capa.fi/api/partner/v2/users/{userId}/documents/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"url": "string"
}
}Users
Request Signature
POST
/
api
/
partner
/
v2
/
users
/
{userId}
/
documents
/
sign
cURL
Initiates the document signing process for a user. Returns a URL where the user can sign required agreements for a specific country.
Important Notes
- Only
INDIVIDUALusers can request document signatures. - The user must be KYC-verified before requesting signatures.
- Users who have already signed documents cannot sign again.
Error Codes
Common Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”API Key is missing” |
| 401 | UNAUTHORIZED | ”Invalid API Key format” |
| 401 | UNAUTHORIZED | ”Invalid API Key” |
| 403 | INVALID_PARTNER_FLOW | ”The partner has an invalid flow.” |
User Ownership Errors
| HTTP Status | Code | Message |
|---|---|---|
| 401 | UNAUTHORIZED | ”Partner information is required for this operation” |
| 401 | UNAUTHORIZED | ”User is not associated with the partner” |
Endpoint-Specific Errors
| HTTP Status | Code | Message |
|---|---|---|
| 400 | INVALID_USER_INPUT_ERROR | ”Invalid User Input” |
| 400 | BAD_REQUEST | ”Country not supported” |
| 400 | BAD_REQUEST | ”User must be of type INDIVIDUAL to request document signatures” |
| 400 | BAD_REQUEST | ”User already has signed documents” |
| 400 | USER_NOT_VERIFIED_ERROR | ”User identity verification not verified” |
| 400 | BAD_REQUEST | ”User authentication method is not email” |
| 400 | BAD_REQUEST | ”User identity verification missing name” |
| 404 | NOT_FOUND_ERROR | ”Failed to find user identity verification” |
| 404 | NOT_FOUND_ERROR | ”No active templates found” |
| 404 | NOT_FOUND_ERROR | ”Requested User was not found” |
| 500 | INTERNAL_SERVER_ERROR | ”Document signature provider failure” |
Authorizations
API key for the affiliated partner performing the request.
Path Parameters
The user ID
Body
application/json
The country code for the document signature request
@description The country must be a valid ISO 3166-1 alpha-2 country code, see: @link https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2
Available options:
MX, DO, US, AT, BE, BG, HR, CY, CZ, DK, EE, FI, FR, DE, GR, HU, IE, IT, LV, LT, LU, MT, NL, PL, PT, RO, SK, SI, ES, SE, IS, LI, NO, CH, GB, MC, SM, AD, VA Example:
"MX"